<?php

namespace Infrastructure\Services\Utilities\SubCategories;

use Infrastructure\Services\Utilities\Utility;
use Infrastructure\Services\Utilities\GeneralFilters\NameFilter;
use Infrastructure\Services\Utilities\GeneralFilters\StatusFilter;

class SubCategoriesUtility extends Utility
{
    protected function filters(): array
    {
        return [
            NameFilter::class,
            StatusFilter::class,
        ];
    }

    protected function sorts(): array
    {
        return [
            'id',
            'name',
        ];
    }
}
